import { StrictMode } from 'react'
import { createRoot } from 'react-dom/client'
import './index.css'
import App from './App.tsx'
import { BrowserRouter as Router } from 'react-router-dom';
import Providers from './components/providers.tsx';
import { AgentProvider } from './context/AgentContext.tsx';


createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <Providers>
      <AgentProvider>
        <Router>
          <App />
        </Router>
      </AgentProvider>
    </Providers>
  </StrictMode>,
)
