# ARAI AI Agents

Welcome to the **ARAI AI Agents** documentation site! ARAI (Autonomous Responsive Intelligent Agent) is an advanced AI agent framework designed to create and manage autonomous AI agents. It provides a flexible and powerful system for building, deploying, and orchestrating AI agents for various applications.

---

## Documentation Structure

We follow the [Diátaxis documentation framework](https://diataxis.fr/) to organize content into four main sections:

1. [Tutorials](tutorials.md) – Step-by-step guides to get started with ARAI
2. [How-To Guides](how-to-guides.md) – Practical guides for specific ARAI tasks
3. [LLMS Explained](about-llms.md) – Conceptual guides about LLMs and how they work
4. [ARAI AI Agents](explanation.md) – Conceptual guides about ARAI’s architecture and design
5. [Resources](resources.md) – Resources for learning how to program AI agents
6. [API Reference](api/main.md) – Technical reference for ARAI’s APIs and components
7. [Prompt Reference](yaml/prompts/prompt_chaining.md) – Technical reference for ARAI’s prompts and templates

For **code examples**, **API references**, and **prompt references**, refer to the dedicated pages:

- [Code Examples](code.md)
- [API Reference](api/main.md)
- [Prompt Reference](yaml/prompts/prompt_chaining.md)

Quickly find what you’re looking for by using the navigation links on top or in the sidebar.

---

## Project Overview

ARAI simplifies creating and managing AI agents by providing:

> 🚀 **Multiple AI Models**: Connect to OpenAI, Anthropic, or other LLMs.  
> ⚙️ **Modular Architecture**: Plug and play new connectors (Discord, Twitter, Telegram, etc.) with minimal effort.  
> 🔗 **Prompt Chaining**: Build, modify, and chain prompts to accomplish complex tasks.  
> 🧠 **Memory & Templates**: Store persistent context and quickly adapt to different use cases. [WIP]  
> 📊 **CLI**: Monitor and manage agent interactions in real-time.

---

## Acknowledgements

This project builds upon various open-source technologies and research in the field of artificial intelligence and autonomous agents. Special thanks to all contributors and the broader AI research community for their ongoing work in advancing agent-based systems.

---

> **Get Started** by checking out the [Tutorials](tutorials.md) or explore the [How-To Guides](how-to-guides.md) for more specific tasks!
